> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File Updated

> Trigger when a file is updated in Google Drive

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "googledrive",
  "type": "GOOGLE_DRIVE_TRIGGER_FILE_UPDATED",
  "parameters": {
    "supportsAllDrives": false,
    "parentId": "folder1,folder2"
  }
}
```

**Configuration options:**

<ParamField path="supportsAllDrives" type="BOOLEAN_INPUT">
  Watch for events from files in Shared Drives. Defaults to false.

  * Default: `false`
</ParamField>

<ParamField path="parentId" type="TEXTAREA">
  Specify the Folder ID to search for updated files within the folders. Defaults to the user’s root folder if left blank.

  * Example value: `folder1,folder2`
  * Options can be loaded by using the `folders` key. Learn more in [User Configuration](/actionkit/triggers/user-configuration).
</ParamField>
